import pretty from 'pino-pretty';
import { PinoPretty } from 'pino-pretty';
/**
 * Configuration interface
 */
export interface Config {
    /** List of maddrs to listen on */
    listen_addrs: string[];
    /** Hex-encoded 32-byte ed25519 private key. Defaults to randomly generated key. */
    peer_key: string;
    /** Enable NAT traversal. Defaults to false. */
    nat_enabled: boolean;
}
/**
 * Self invoking expression that exports global config object.
 */
export declare const config: Config;
/**
 * Global shared logger stream
 */
export declare const logStream: PinoPretty.PrettyStream;
/**
 * Global logger instance.
 */
export declare const logger: import("pino").Logger<pretty.PinoPretty.PrettyStream>;
//# sourceMappingURL=globals.d.ts.map